For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all integrations for the organization
      • GETList all channels for a Slack workspace
LogoLogo
Scout DocsAccess Scout
EndpointsIntegrations

List all channels for a Slack workspace

Beta
GET
https://api.scoutos.com/v2/integrations/slack/:team_id/channels
GET
/v2/integrations/slack/:team_id/channels
$curl https://api.scoutos.com/v2/integrations/slack/team_id/channels \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "C024BE91L",
4 "name": "general",
5 "is_private": false,
6 "num_members": 150
7 },
8 {
9 "id": "C0G9QF9GW",
10 "name": "project-alpha",
11 "is_private": true,
12 "num_members": 12
13 },
14 {
15 "id": "C1H2J3K4L",
16 "name": "random",
17 "is_private": false,
18 "num_members": 75
19 }
20]
List all channels for a specific Slack workspace
Was this page helpful?
Previous

Delete a specific integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

team_idstringRequired

Response

Successful Response
idstring
namestring
is_privateboolean
num_membersinteger

Errors

422
Unprocessable Entity Error